## webkit2gtk 2.36.3

=== debian/changelog ===
webkit2gtk (2.36.3-1~deb11u1) bullseye-security; urgency=high

  * Rebuild for bullseye-security.
    - This fixes CVE-2022-26700, CVE-2022-26709, CVE-2022-26716,
      CVE-2022-26717, CVE-2022-26719, CVE-2022-30293 and CVE-2022-30294.
  * gcc 10 segfaults when building webkit in some architectures (see
    #1008098) so use clang instead. The exceptions are i386 and mipsel,
    where gcc works fine but clang is the buggy one (see #1010329).
    - debian/rules: Tell CMake to use clang.
    - debian/control: Build depend on clang.
  * Build libsoup2 packages only.
    - debian/rules: Set ENABLE_SOUP3=NO.
    - debian/control: Remove build dependency on libsoup3 and ccache and
      remove the entries for all 4.1 API packages (soup3 build).

 -- Alberto Garcia <berto@igalia.com>  Tue, 31 May 2022 10:46:06 +0200

webkit2gtk (2.36.3-1) unstable; urgency=high

  * New upstream release.
  * Use ccache to speed-up the compilation since the majority of the files
    are identical in both the soup2 and soup3 builds.
    - debian/control: Add build dependency on ccache.
    - debian/rules: Set CCACHE_NOHASHDIR and CCACHE_BASEDIR so ccache
      actually works with different build directories.
    - debian/rules: Set CCACHE_DIR inside the source directory, otherwise
      ccache would try to write to the home directory, which is forbidden
      by the Debian policy.

 -- Alberto Garcia <berto@igalia.com>  Sun, 29 May 2022 13:07:27 +0200

webkit2gtk (2.36.2-1) unstable; urgency=high

  [ Alberto Garcia ]
  * New upstream release.

  [ Adrian Bunk ]
  * debian/rules: lower memory requirements on sh4.

 -- Alberto Garcia <berto@igalia.com>  Wed, 18 May 2022 10:13:09 +0200

webkit2gtk (2.36.1-1) unstable; urgency=medium

  [ Alberto Garcia ]
  * New upstream release.

  [ Jeremy Bicha ]
  * Reduce the number of parallel build jobs on Ubuntu's amd64

 -- Alberto Garcia <berto@igalia.com>  Thu, 21 Apr 2022 16:47:44 +0200
