=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Alberto Garcia <berto@igalia.com>
 X-Ubuntu-Use-Langpack: no
-Build-Depends: debhelper (>= 11.2~),
+Build-Depends: debhelper-compat (= 12),
                bubblewrap (>= 0.3.1) [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                xdg-dbus-proxy [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
                libseccomp-dev [!alpha !ia64 !m68k !riscv64 !sh4 !sparc64 !hurd-any !kfreebsd-any],
+               clang [!i386 !mipsel],
                cmake (>= 3.10),
                jdupes,
                libglib2.0-dev (>= 2.44.0),
@@ -21,6 +22,8 @@
                libicu-dev,
                libgcrypt20-dev (>= 1.7.0),
                libhyphen-dev,
+               liblcms2-dev,
+               libmanette-0.2-dev (>= 0.2.4) [linux-any],
                libnotify-dev,
                libxslt1-dev (>= 1.1.7),
                libxml2-dev (>= 2.8),
@@ -29,6 +32,7 @@
                libsystemd-dev [linux-any],
                libgudev-1.0-dev [linux-any],
                libwoff-dev (>= 1.0.2),
+               libwpebackend-fdo-1.0-dev [linux-any],
                gperf,
                bison,
                flex,
@@ -41,14 +45,14 @@
                libxt-dev,
                libgstreamer1.0-dev (>= 1.14.0),
                libgstreamer-plugins-base1.0-dev (>= 1.14.0),
-               libenchant-dev,
+               libenchant-2-dev,
                libsecret-1-dev,
                gobject-introspection (>= 1.32.0),
                libgirepository1.0-dev (>= 0.9.12-4),
                ninja-build,
                libegl1-mesa-dev,
-               libgl1-mesa-dev,
-               libgles2-mesa-dev
+               libgl-dev,
+               libgles-dev
 Build-Depends-Indep: gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc,
@@ -141,10 +145,11 @@
          ${misc:Depends}
 Recommends: gstreamer1.0-gl,
             libgl1-mesa-dri,
+            ${bwrap:Recommends},
             ${gst:Recommends}
 Suggests: ${gst:Suggests},
-          ${bwrap:Suggests},
          gstreamer1.0-alsa
+Breaks: evolution (<< 3.34.1)
 Description: Web content engine library for GTK
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in
