=== debian/rules ===
--- 
+++ 
@@ -25,11 +25,17 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
-	   -DENABLE_GAMEPAD=OFF \
-	   -DUSE_LCMS=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
+
+# gcc 10 segfaults when building webkit (#1008098) so use clang
+# However in i386 and mipsel clang is the buggy one (#1010329)
+ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
+	EXTRA_CMAKE_ARGUMENTS += \
+	   -DCMAKE_C_COMPILER=clang \
+	   -DCMAKE_CXX_COMPILER=clang++
+endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -50,7 +56,7 @@
 
 # Systemd/elogind and libmanette are Linux-only
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
 endif
 
 # See https://bugs.webkit.org/show_bug.cgi?id=197192
@@ -63,8 +69,8 @@
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_LD_GOLD=OFF
 endif
 
-# Lower memory requirements on mips/mipsel with only 2 GB address space
-ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
+# Lower memory requirements on architectures with only 2 GB address space
+ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel sh4))
 	CFLAGS := $(CFLAGS:-g1=-g0)
 	CFLAGS := $(CFLAGS:-O2=-Os)
 	CPPFLAGS += --param ggc-min-expand=10
@@ -106,7 +112,7 @@
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
 	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
 					xdg-dbus-proxy"
-	DH_GENCONTROL_ARGS += -Vbwrap:Suggests="xdg-desktop-portal-gtk"
+	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
 else
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
@@ -121,9 +127,11 @@
 	EXTRA_CMAKE_ARGUMENTS += -DUSE_WPE_RENDERER=OFF
 endif
 
-# Lower max parallel jobs on Ubuntu's arm64 builder
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes arm64)
+# Lower max parallel jobs on some of Ubuntu's builders
+ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64))
 	EXTRA_BUILD_ARGUMENTS += --max-parallel=2
+endif
 endif
 
 # set the distributor agent for Ubuntu
@@ -203,8 +211,12 @@
 		-DENABLE_WEBDRIVER=OFF -DENABLE_GTKDOC=OFF
 
 override_dh_auto_build:
-	$(SOUP2_BUILD) dh_auto_build -Bbuild-soup2 $(EXTRA_BUILD_ARGUMENTS)
-	$(SOUP3_BUILD) dh_auto_build -Bbuild-soup3 $(EXTRA_BUILD_ARGUMENTS)
+	$(SOUP2_BUILD) CCACHE_NOHASHDIR=1 CCACHE_DIR=$(CURDIR)/ccache \
+		CCACHE_BASEDIR=$(CURDIR)/build-soup2 \
+		dh_auto_build -Bbuild-soup2 $(EXTRA_BUILD_ARGUMENTS)
+	$(SOUP3_BUILD) CCACHE_NOHASHDIR=1 CCACHE_DIR=$(CURDIR)/ccache \
+		CCACHE_BASEDIR=$(CURDIR)/build-soup3 \
+		dh_auto_build -Bbuild-soup3 $(EXTRA_BUILD_ARGUMENTS)
 
 override_dh_auto_install:
 	$(SOUP2_BUILD) dh_auto_install -Bbuild-soup2
@@ -215,18 +227,7 @@
 	$(SOUP3_BUILD) dh_auto_clean -Bbuild-soup3
 	find Source Tools -type f -name "*.pyc" -exec rm {} \;
 	find Source Tools -depth -type d -name __pycache__ -exec rmdir {} \;
+	rm -rf ccache
 
 # Create a dummy doc directory in case the "nodoc" build option is set
 override_dh_install:
-	mkdir -p debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0
-	touch debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0/index.html
-	dh_install
-	jdupes -rl debian/libwebkit2gtk-4.0-doc/usr
-
-override_dh_makeshlibs:
-	$(SOUP2_BUILD) dh_makeshlibs -plibwebkit2gtk-4.0-37 -Xinjected-bundle
-	$(SOUP2_BUILD) dh_makeshlibs -plibjavascriptcoregtk-4.0-18
-	$(SOUP3_BUILD) dh_makeshlibs -plibwebkit2gtk-4.1-0 -Xinjected-bundle
-	$(SOUP3_BUILD) dh_makeshlibs -plibjavascriptcoregtk-4.1-0
-
-override_dh_missing:
