## webkit2gtk 2.36.3.1

=== debian/changelog ===
webkit2gtk (2.36.3.1-1+dde) unstable; urgency=high

  * Rebuild for buster-security.
    - This fixes CVE-2022-26700, CVE-2022-26709, CVE-2022-26716,
      CVE-2022-26717, CVE-2022-26719, CVE-2022-30293 and CVE-2022-30294.
  * debian/patches/force-single-process.patch:
    - Force the single-process mode in Evolution and Geary
  * debian/control:
    - Remove all 4.1 API packages (soup3 build).
    - Remove Breaks for Evolution < 3.34.1.
    - Remove build dependencies on ccache, libwpebackend-fdo-1.0-dev,
      libmanette-0.2-dev, liblcms2-dev and libsoup-3.0-dev.
    - Switch build dependency from libenchant-2-dev to libenchant-dev.
    - Switch build dependencies on libgl-dev and libgles-dev with
      libgl1-mesa-dev and libgles2-mesa-dev.
  * Downgrade xdg-desktop-portal-gtk from a recommendation to a
    suggestion (See #989307)
  * debian/rules:
    - Build with -DENABLE_GAMEPAD=OFF -DUSE_LCMS=OFF.
  * Set the debhelper compatibility level back to 10. This fixes a dh_dwz
    error ".debug_info section not present"
    - Add debian/compat file.
    - Update build dependency on debhelper.

 -- Alberto Garcia <berto@igalia.com>  Tue, 31 May 2022 10:54:46 +0200
