=== debian/rules ===
--- 
+++ 
@@ -25,17 +25,11 @@
 	   -DCMAKE_CXX_FLAGS_RELEASE="" \
 	   -DCMAKE_CXX_FLAGS_DEBUG="" \
 	   -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
+	   -DENABLE_GAMEPAD=OFF \
+	   -DUSE_LCMS=OFF \
 	   -DENABLE_MINIBROWSER=ON
 EXTRA_BUILD_ARGUMENTS =
 DH_GENCONTROL_ARGS =
-
-# gcc 10 segfaults when building webkit (#1008098) so use clang
-# However in i386 and mipsel clang is the buggy one (#1010329)
-ifeq (,$(filter $(DEB_HOST_ARCH),i386 mipsel))
-	EXTRA_CMAKE_ARGUMENTS += \
-	   -DCMAKE_C_COMPILER=clang \
-	   -DCMAKE_CXX_COMPILER=clang++
-endif
 
 # Sacrifice speed in order to make it more likely resource limits
 # won't be hit.
@@ -56,7 +50,7 @@
 
 # Systemd/elogind and libmanette are Linux-only
 ifneq ($(DEB_HOST_ARCH_OS),linux)
-	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF -DENABLE_GAMEPAD=OFF
+	EXTRA_CMAKE_ARGUMENTS += -DENABLE_JOURNALD_LOG=OFF
 endif
 
 # See https://bugs.webkit.org/show_bug.cgi?id=197192
@@ -112,7 +106,7 @@
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=ON
 	DH_GENCONTROL_ARGS += -Vbwrap:Depends="bubblewrap (>= 0.3.1), \
 					xdg-dbus-proxy"
-	DH_GENCONTROL_ARGS += -Vbwrap:Recommends="xdg-desktop-portal-gtk"
+	DH_GENCONTROL_ARGS += -Vbwrap:Suggests="xdg-desktop-portal-gtk"
 else
 	EXTRA_CMAKE_ARGUMENTS += -DENABLE_BUBBLEWRAP_SANDBOX=OFF
 endif
@@ -231,3 +225,9 @@
 
 # Create a dummy doc directory in case the "nodoc" build option is set
 override_dh_install:
+	mkdir -p debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0
+	touch debian/tmp/usr/share/gtk-doc/html/webkit2gtk-4.0/index.html
+	dh_install
+	jdupes -rl debian/libwebkit2gtk-4.0-doc/usr
+
+override_dh_makeshlibs:
